## com.gargoylesoftware.htmlunit
Enum BrowserVersionFeatures

    java.lang.Object
      java.lang.Enum<BrowserVersionFeatures>
          com.gargoylesoftware.htmlunit.BrowserVersionFeatures

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<BrowserVersionFeatures>

    public enum BrowserVersionFeatures

extends java.lang.Enum<BrowserVersionFeatures>

Constants of various features of each `BrowserVersion`.

Version:
  $Revision: 4684 $
Author:
  Ahmed Ashour, Marc Guillemot, Sudhan Moghe

Enum Constant Summary
`BLUR_BEFORE_ONCHANGE`
`CREATEEVENT_INITALIZES_TARGET` (Firefox only) Indicates that document.createEvent initializes the target property.
`EXECCOMMAND_THROWS_ON_WRONG_COMMAND` Indicates if document.execCommand should throw when called with an illegal command.
`HTMLOPTION_PREVENT_DISABLED`
`IGNORE_CONTENTS_OF_INNER_HEAD`
`JS_FRAME_RESOLVE_URL_WITH_PARENT_WINDOW` Indicates that the URL of parent window is used to resolve URLs in frames with javascript src.
`SET_READONLY_PROPERTIES` Indicates that a read only JS property can be...
`STYLESHEET_HREF_EXPANDURL` Indicates if href property for a <link rel="stylesheet" type="text/css" href="..." /> is the fully qualified url.
`STYLESHEET_HREF_STYLE_EMPTY` Indicates the the href property for a <style type="text/css"> ...
`STYLESHEET_HREF_STYLE_NULL` Indicates the the href property for a <style type="text/css"> ...
`TEXTAREA_CRNL` Indicates that \n are replaced by \r\n in textarea values.
`XMLHTTPREQUEST_HANDLER_THIS_IS_FUNCTION` Indicates if 'this' corresponds to the handler function when a XMLHttpRequest handler is executed (as in FF2).

Method Summary
`static BrowserVersionFeatures` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static BrowserVersionFeatures[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### BLUR_BEFORE_ONCHANGE

    public static final BrowserVersionFeatures BLUR_BEFORE_ONCHANGE

### CREATEEVENT_INITALIZES_TARGET

    public static final BrowserVersionFeatures CREATEEVENT_INITALIZES_TARGET

  (Firefox only) Indicates that document.createEvent initializes the target property. This is what FF2 does but not FF3.

### EXECCOMMAND_THROWS_ON_WRONG_COMMAND

    public static final BrowserVersionFeatures EXECCOMMAND_THROWS_ON_WRONG_COMMAND

  Indicates if document.execCommand should throw when called with an illegal command.

### HTMLOPTION_PREVENT_DISABLED

    public static final BrowserVersionFeatures HTMLOPTION_PREVENT_DISABLED

### IGNORE_CONTENTS_OF_INNER_HEAD

    public static final BrowserVersionFeatures IGNORE_CONTENTS_OF_INNER_HEAD

### JS_FRAME_RESOLVE_URL_WITH_PARENT_WINDOW

    public static final BrowserVersionFeatures JS_FRAME_RESOLVE_URL_WITH_PARENT_WINDOW

  Indicates that the URL of parent window is used to resolve URLs in frames with javascript src.

### SET_READONLY_PROPERTIES

    public static final BrowserVersionFeatures SET_READONLY_PROPERTIES

  Indicates that a read only JS property can be... set as done by IE and FF2 but not FF3.

### STYLESHEET_HREF_EXPANDURL

    public static final BrowserVersionFeatures STYLESHEET_HREF_EXPANDURL

  Indicates if href property for a <link rel="stylesheet" type="text/css" href="..." /> is the fully qualified url.

### STYLESHEET_HREF_STYLE_EMPTY

    public static final BrowserVersionFeatures STYLESHEET_HREF_STYLE_EMPTY

  Indicates the the href property for a <style type="text/css"> ... </style> is ""

### STYLESHEET_HREF_STYLE_NULL

    public static final BrowserVersionFeatures STYLESHEET_HREF_STYLE_NULL

  Indicates the the href property for a <style type="text/css"> ... </style> is null

### TEXTAREA_CRNL

    public static final BrowserVersionFeatures TEXTAREA_CRNL

  Indicates that \n are replaced by \r\n in textarea values.

### XMLHTTPREQUEST_HANDLER_THIS_IS_FUNCTION

    public static final BrowserVersionFeatures XMLHTTPREQUEST_HANDLER_THIS_IS_FUNCTION

  Indicates if 'this' corresponds to the handler function when a XMLHttpRequest handler is executed (as in FF2).

Method Detail

### values

    public static BrowserVersionFeatures[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (BrowserVersionFeatures c : BrowserVersionFeatures.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static BrowserVersionFeatures valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Copyright © 2002-2011 Gargoyle Software Inc.. All Rights Reserved.